---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: grafana-alloy
  namespace: core-grafana-alloy
spec:
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: alloy

  egress:
  - toEntities:
    - kube-apiserver
    toPorts:
    - ports:
      - port: "6443"
        protocol: TCP

  - toEntities:
    - cluster
